Light APIv1.0.0

API / Reference / Credit Notes

Create credit note line

POST https://api.light.inc/v1/credit-notes/{creditNoteId}/lines

Creates a new line item on a credit note in draft status.

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • creditNoteId string · uuidrequired

Request body

application/json;charset=UTF-8

  • netTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • grossTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • taxTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • description string

    Line description

  • ledgerTaxId string · uuid

    ID of the tax code

  • ledgerAccountId string · uuid

    ID of the ledger account

  • customProperties array of object

    List of custom properties for this line

    • groupId string · uuid

      ID of the custom property group.

    • valueIds array of string · uuid

      IDs of the selected custom property values. It behaves as a PUT operation, so if empty the existing ones will be effectively deleted.

    • inlineValues array of string

      Inline custom property values (used for TEXT/NUMERIC/DATE/etc. groups). It behaves as a PUT operation, so if empty or null the existing ones will be effectively deleted.

  • accrualTemplateId string · uuid

    ID of the accrual template

  • accrualStartDate string · date

    Start date for accrual

  • accrualEndDate string · date

    End date for accrual

Response

  • id string · uuid

    Unique identifier for the object

  • companyId string · uuid

    ID of the company

  • creditNoteId string · uuid

    ID of the credit note this line belongs to

  • grossTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • netTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • description string

    Description of the credit note line item

  • ledgerTaxId string · uuid

    ID of the tax code

  • taxTransactionAmount object

    • amount integer · int64

    • dcSign string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of D C

  • ledgerAccountId string · uuid

    ID of the ledger account

  • costCenterId string · uuid

    ID of the cost center

  • createdAt string · date-time

    Timestamp when the credit note line item was created

  • updatedAt string · date-time

    Timestamp when the credit note line item was last updated

  • accrualTemplateId string · uuid

    ID of the accrual template

  • accrualStartDate string · date

    Start date for accrual

  • accrualEndDate string · date

    End date for accrual

  • accrualDefaultDuration integer · int32

    Default duration for accrual in months